summaryrefslogtreecommitdiffstats
path: root/desktop/create_desktop_file.sh
diff options
context:
space:
mode:
authorPiotr Dziwinski <piotrdz@gmail.com>2013-06-22 01:11:37 +0200
committerPiotr Dziwinski <piotrdz@gmail.com>2013-06-22 01:17:19 +0200
commitbfcce26f8949f4ba42cc1bd8203dff51884aa0da (patch)
treed53c83fa8079952a9226589caf98075cd0623958 /desktop/create_desktop_file.sh
parent1377e48910c1bef1829c67740360b0a8309239a1 (diff)
downloadcolobot-bfcce26f8949f4ba42cc1bd8203dff51884aa0da.tar.gz
colobot-bfcce26f8949f4ba42cc1bd8203dff51884aa0da.tar.bz2
colobot-bfcce26f8949f4ba42cc1bd8203dff51884aa0da.zip
Changes in build organization
* targets are now created in top-level build directory * more things are now configured through CMake options * changed debug build detection from NDEBUG to DEV_BUILD * moved po and desktop directories * moved last unit test out of src directory
Diffstat (limited to 'desktop/create_desktop_file.sh')
-rwxr-xr-xdesktop/create_desktop_file.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/desktop/create_desktop_file.sh b/desktop/create_desktop_file.sh
new file mode 100755
index 0000000..8f3d15b
--- /dev/null
+++ b/desktop/create_desktop_file.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+# Create colobot.desktop from various colobot.ini's
+
+fname=colobot.ini
+
+cat colobot.desktop.in
+
+linguas=$([ ! -d lang ] || ( cd lang ; ls));
+
+for type in Name GenericName Comment; do
+ egrep "^$type=" $fname | sed -e "s/^$type=\"\(.*\)\"$/$type=\1/g"
+ for l in $linguas; do
+ egrep "^$type=" lang/$l/$fname | sed -e "s/^$type=\"\(.*\)\"$/$type[$l]=\1/g"
+ done
+done